Docs
API 1.39
Status
Programs

Read a program by id or name

GET /v1/programs/{id}: Read a program by id or name

GET /v1/programs/{id}
Operation idgetProgram
Key scoperead: every key
SectionPrograms

#Parameters

NameInTypeRequiredDescription
idpathstringyesmin length 1

#Example request

curl -X GET "https://api.kaab.ist/v1/programs/{id}" \
  -H "Authorization: Bearer $KAAB_API_KEY"

#Responses

#200

Program

Program

{
  "id": "prg_01j9zqk3q7m4n5p6r7s8t9v0wx",
  "object": "program",
  "name": "acme-report",
  "description": "Daily report export",
  "latest_version": 3,
  "aliases": {
    "latest": 3,
    "production": 2
  },
  "canary": {
    "enabled": true,
    "cron": "0 */6 * * *",
    "url": null
  },
  "created_at": "2026-09-18T10:00:00Z",
  "updated_at": "2026-09-18T10:00:00Z"
}

#Errors

Every error answers with the error envelope; its code is one of the error codes.

StatusWhen
400request_invalid: request validation failed
401Missing or invalid API key
403The key's scope does not cover this operation
404Resource not found
429Rate limited; see Retry-After
500internal: unexpected server error

Was this page helpful?